OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
GlobalMovePointsOp< TreeT >::CopyIterator Struct Reference

`#include <openvdb/points/impl/PointMoveImpl.h>`

## Public Member Functions
| CopyIterator (const LeafT &leaf, const IndexArray &sortedIndices, const IndexTripleArray &moveIndices, IndexArray &offsets)
| operator bool () const
void | reset (Index startIndex, Index endIndex)
CopyIterator & | operator++ ()
Index | leafIndex (Index i) const
Index | sourceIndex () const
Index | targetIndex () const

## Constructor & Destructor Documentation

## ◆ CopyIterator()

template<typename TreeT >

CopyIterator | ( | const LeafT & | leaf,
|  | const IndexArray & | sortedIndices,
|  | const IndexTripleArray & | moveIndices,
|  | IndexArray & | offsets
| ) |  |
| inline

## Member Function Documentation

## ◆ leafIndex()

template<typename TreeT >

Index leafIndex | ( | Index | i | ) | const
| inline

## ◆ operator bool()

template<typename TreeT >

operator bool | ( |  | ) | const
| inline

## ◆ operator++()

template<typename TreeT >

CopyIterator & operator++ | ( |  | ) |
| inline

## ◆ reset()

template<typename TreeT >

void reset | ( | Index | startIndex,
|  | Index | endIndex
| ) |  |
| inline

## ◆ sourceIndex()

template<typename TreeT >

Index sourceIndex | ( |  | ) | const
| inline

## ◆ targetIndex()

template<typename TreeT >

Index targetIndex | ( |  | ) | const
| inline